%global commit 8caeacc102efe5c270a66b472d7057dff02de925
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global commitdate 20211215

Summary: sixel library
Name: libsixel
Version: 1.10.3
Release: 1.%{commitdate}git%{shortcommit}%{?dist}
License: MIT
Group: System Environment/Libraries
Url: https://github.com/libsixel/libsixel

Source0: https://github.com/libsixel/libsixel/archive/%{commit}.tar.gz#/libsixel-%{commit}.tar.gz

Requires: libpng
Requires: glibc
Requires: zlib
Requires: libjpeg-turbo
Requires: gd
Requires: libcurl
BuildRequires: meson
BuildRequires: gcc
# BuildRequires: autoconf automake
BuildRequires: libpng-devel
BuildRequires: glibc-devel
BuildRequires: zlib-devel
BuildRequires: libjpeg-devel
BuildRequires: gd-devel
BuildRequires: libcurl-devel

%package devel
Summary: sixel library header
Requires: libsixel = %{version}

%description
sixel library

%description devel
sixel library header

%define _unpackaged_files_terminate_build 0

%prep
%setup -q -n libsixel-%{commit}

%build
%meson -Dgd=enabled -Dlibcurl=enabled -Dtests=enabled
%meson_build 

# %clean 
# rm -rf %{buildroot}
# rm -rf %{_builddir}/%{name}-%{version}

%install
%meson_install

%check
%meson_test

%files
%{_bindir}/img2sixel
%{_bindir}/libsixel-config
%{_bindir}/sixel2png
%{_libdir}/libsixel.so*
%{_libdir}/pkgconfig/libsixel.pc
%{_mandir}/man1/img2sixel.1.gz
%{_mandir}/man1/sixel2png.1.gz
%{_datadir}/bash-completion/completions
%{_datadir}/zsh/site-functions/

%files devel
%{_includedir}/sixel.h
